%define gcj_support 1

Name:           gnu-crypto
Version:        2.1.0
Release:        1jpp_2.ML5
Epoch:          0
Summary:        GNU Crypto library for Java

Group:          Security/Cryptography
License:        GPL with library exception
URL:            http://www.gnu.org/software/gnu-crypto/
Source0:        http://ftp.gnupg.org/GnuPG/gnu-crypto/gnu-crypto-2.1.0.tar.bz2
# Patch0:         %{name}-crosslink.patch
# javax.security.auth.* is already in J2SE >= 1.4.
Patch1:         %{name}-noauth.patch
# Patch2:         %{name}-gcc41.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ant, java-devel >= 0:1.4
%if !%{gcj_support}
Requires:       java >= 0:1.4
Requires(post): jpackage-utils >= 0:1.6.3-1jpp_1rh
Requires(postun): jpackage-utils >= 0:1.6.3-1jpp_1rh
%else
Requires:       jce
Requires:       jpackage-utils >= 0:1.6.2-1jpp_5rh
%endif
Requires:       java-sasl
%if %{gcj_support}
# libgcj aot-compiled native libraries
BuildRequires:    java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch:      noarch
%endif

%description
GNU Crypto, part of the GNU project, released under the aegis of GNU,
aims at providing free, versatile, high-quality, and provably correct
implementations of cryptographic primitives and tools in the Java
programming language for use by programmers and end-users.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildRequires:  java-javadoc
Prereq: coreutils

%description    javadoc
%{summary}.


%prep
%setup -q
# %patch0 -p0
%if !%{gcj_support}
%patch1 -p0
%endif
# %patch2 -p1 -b .orig


%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/java/security/security.d
touch $RPM_BUILD_ROOT%{_sysconfdir}/java/security/security.d/3000-gnu.crypto.jce.GnuCrypto
%endif

install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 source/gnu-crypto.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%if %{gcj_support}
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/gcj-endorsed
ln -s %{_javadir}/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/gcj-endorsed/%{name}-%{version}.jar
%endif

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pR source/overview.html $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%if %{gcj_support}
aot-compile-rpm
%endif

%check || :
# ant check # takes a looooong time


%clean
rm -rf $RPM_BUILD_ROOT


%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-security-providers ]
then
  %{_bindir}/rebuild-security-providers
fi
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi

%postun
if [ -x %{_bindir}/rebuild-security-providers ]
then
  %{_bindir}/rebuild-security-providers
fi
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README THANKS
%{_javadir}/%{name}*.jar
%if %{gcj_support}
%{_sysconfdir}/java/security/security.d/3000-gnu.crypto.jce.GnuCrypto
%{_javadir}/gcj-endorsed/%{name}-%{version}.jar
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Sat Apr 01 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0:2.1.0-1jpp_2fc
- stop scriptlet spew

* Thu Feb  2 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:2.1.0-1jpp_1fc
- Import GNU Crypto 2.1.0.
- Remove gnu-crypto-jce-jdk1.4 and gnu-crypto-sasl-jdk1.4 packages.

* Wed Dec 21 2005 Gary Benson <gbenson@redhat.com> - 0:2.0.1-1jpp_11fc
- Rebuild again

* Wed Dec 14 2005 Gary Benson <gbenson@redhat.com> - 0:2.0.1-1jpp_10fc
- Rebuild for new gcj.

* Tue Dec 13 2005 Jesse Keating <jkeating@redhat.com>
- Attempt rebuild for new gcj.

* Sun Dec 11 2005 Warren Togami <wtogami@redhat.com>
- Attempt rebuild.

* Wed Nov 16 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:2.0.1-1jpp_8fc
- Call rebuild-security-providers and rebuild-gcj-db conditionally on
  their existence.

* Fri Jul 15 2005 Gary Benson <gbenson@redhat.com> - 0:2.0.1-1jpp_7fc
- Build on ia64, ppc64, s390 and s390x.
- Switch to aot-compile-rpm.

* Tue Jun 28 2005 Gary Benson <gbenson@redhat.com> - 0:2.0.1-1jpp_6fc
- BC-compile.

* Thu May 26 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:2.0.1-1jpp_5fc
- Separate post and postun lines.
- Require libgcj, not gcc-java.

* Mon May 16 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:2.0.1-1jpp_4fc
- Require jpackage-utils for post and postun.
- Run rebuild-security-providers with full path.

* Thu Apr 21 2005 Gary Benson <gbenson@redhat.com> - 0:2.0.1-1jpp_3fc
- Put the sasl endorsed jar in the correct subpackage.

* Wed Apr 13 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:2.0.1-1jpp_2fc
- Add gcj endorsed dir support.
- Add GnuCrypto security provider to classpath.security.

* Thu Nov  4 2004 Gary Benson <gbenson@redhat.com> - 0:2.0.1-1jpp_1fc
- Build into Fedora.

* Mon Jun 14 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.1-1jpp
- First build.
